Create background process
curl --request POST \
--url https://cloud.laravel.com/api/instances/{instance}/background-processes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"processes": 5,
"command": "php artisan my:command",
"config": {
"connection": "redis",
"queue": "default,emails",
"tries": 3,
"backoff": 30,
"sleep": 3,
"rest": 0,
"timeout": 60,
"force": false
}
}
'import requests
url = "https://cloud.laravel.com/api/instances/{instance}/background-processes"
payload = {
"processes": 5,
"command": "php artisan my:command",
"config": {
"connection": "redis",
"queue": "default,emails",
"tries": 3,
"backoff": 30,
"sleep": 3,
"rest": 0,
"timeout": 60,
"force": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
processes: 5,
command: 'php artisan my:command',
config: {
connection: 'redis',
queue: 'default,emails',
tries: 3,
backoff: 30,
sleep: 3,
rest: 0,
timeout: 60,
force: false
}
})
};
fetch('https://cloud.laravel.com/api/instances/{instance}/background-processes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "background_processes",
"attributes": {
"type": "worker",
"processes": 123,
"command": "<string>",
"config": [
"<unknown>"
],
"strategy_type": "none",
"strategy_threshold": 123,
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"instance": {
"data": {
"type": "instances",
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "instances",
"attributes": {
"name": "<string>",
"type": "app",
"size": "flex-512mb",
"scaling_type": "none",
"min_replicas": 123,
"max_replicas": 123,
"queue_status": "creating",
"paused": true,
"is_default": true,
"visibility_timeout": 123,
"polling_interval": 123,
"shutdown_timeout": 123,
"uses_scheduler": true,
"sleep_with_app": true,
"scaling_cpu_threshold_percentage": 123,
"scaling_memory_threshold_percentage": 123,
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"environment": {
"data": {
"type": "environments",
"id": "<string>"
}
},
"backgroundProcesses": {
"data": [
{
"type": "background_processes",
"id": "<string>"
}
]
}
}
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Background Processes
Create background process
Create a new background process for an instance.
POST
/
instances
/
{instance}
/
background-processes
Create background process
Authorizations
The Bearer Token generated on the Cloud UI.
Path Parameters
The instance identifier
Body
application/json
Was this page helpful?

